Bug 649719 - No run contexts are available after upgrading from F13 to F14
No run contexts are available after upgrading from F13 to F14
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: eclipse (Show other bugs)
14
Unspecified Unspecified
low Severity medium
: ---
: ---
Assigned To: Alexander Kurtakov
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-04 08:26 EDT by Darryl L. Pierce
Modified: 2015-06-21 20:07 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-08 03:43:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Darryl L. Pierce 2010-11-04 08:26:48 EDT
Description of problem:

On F13 I could right-click on a JUnit class in Eclipse and elect to run the test as a JUnit test. Similar options were present when right-clicking on the test folders as well.

After upgrading to F14 using preupgrade, there are no longer any such options for running JUnit tests.

Version-Release number of selected component (if applicable):

(mcpierce@mcpierce-laptop:Podcast)$ rpm -qa *eclipse*
icu4j-eclipse-4.2.1-1.fc14.x86_64
eclipse-rcp-3.6.1-2.fc14.x86_64
tomcat5-jasper-eclipse-5.5.27-7.4.fc12.noarch
eclipse-jdt-3.6.1-2.fc14.x86_64
eclipse-platform-3.6.1-2.fc14.x86_64
eclipse-swt-3.6.1-2.fc14.x86_64
eclipse-pde-3.6.1-2.fc14.x86_64


How reproducible:

100%

Steps to Reproduce:
1. Start Eclipse.
2. Right click on a JUnit test (3.8 or 4.0).

  
Actual results:

No option to run unit tests. The only option there is to create new runtime profiles.

Expected results:

An option to run as a unit test, as well as an applet or an application.

Additional info:
Comment 1 Alexander Kurtakov 2010-11-08 08:47:05 EST
Can you reproduce after running eclipse -clean -debug -consolelog?
If yes please attach the log.
Comment 2 Darryl L. Pierce 2010-11-08 10:06:57 EST
In order to have the menu item come up, I had to create a method whose name started with "test". Even though JUnit 4 says that tests only need to have the @Test annotation and can be named anything.
Comment 3 Alexander Kurtakov 2010-11-08 10:16:00 EST
So you have only JUnit 4 tests?
Can you verify the behavior with upstream eclipse?
Comment 4 Alexander Kurtakov 2010-12-08 03:43:32 EST
No response in a month. 
Closing the bug. 
Please reopen when you have more time to answer my questions so I can understand what the real problem is.

Note You need to log in before you can comment on or make changes to this bug.